"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _cluster = _interopRequireDefault(require("cluster"));

var _Config = _interopRequireDefault(require("./shared/config/Config.js"));

var _fs = _interopRequireDefault(require("fs"));

var _path = _interopRequireDefault(require("path"));

var _master = _interopRequireDefault(require("./master"));

var _tester = _interopRequireDefault(require("./tester"));

var _reporter = _interopRequireDefault(require("./reporter"));

var _scriptwriter = _interopRequireDefault(require("./scriptwriter"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// Workers

/**
 * Sets up a QApe run
 */
var _default = configOverride => {
  const USER_CONFIG_PATH = _path.default.join(process.cwd(), './qape.conf.js');

  let configValues = {};

  if (_fs.default.existsSync(USER_CONFIG_PATH)) {
    configValues = require(USER_CONFIG_PATH);
  }

  let config = _Config.default.load(Object.assign({}, configValues, configOverride));

  if (_cluster.default.isMaster) {
    return (0, _master.default)(_cluster.default, config);
  }

  if (process.env.worker_type === 'reporter') {
    return (0, _reporter.default)(config);
  }

  if (process.env.worker_type === 'scriptwriter') {
    return (0, _scriptwriter.default)(config);
  }

  return (0, _tester.default)(config);
};

exports.default = _default;