"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _Reporter = _interopRequireDefault(require("./reporter/Reporter"));

var _util = _interopRequireDefault(require("util"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @module reporter */

/**
 * Initializes reporter worker.
 * It handles all the test results and the distribution
 * to all defined reporters.
 * @memberof reporter
 * @param {Object} config
 */
var _default = config => {
  let reporter = new _Reporter.default(config).init();
  process.on('message', ({
    eventName,
    eventData
  }) => {
    if (config.debug) {
      let date = new Date().toISOString();

      if (eventData) {
        console.log(date, '-', eventName, '-', _util.default.inspect(eventData, {
          depth: null
        }));
      } else {
        console.log(date, '-', eventName);
      }
    }

    reporter.emit(eventName, eventData);
  });
};

exports.default = _default;