"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _Runner = _interopRequireDefault(require("./Runner"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** @module tester */

/**
 * Initializes a tester worker.
 * It handles the test execution.
 * @memberof tester
 * @param {Object} config
 * @returns {Runner}
 */
var _default = config => {
  return new _Runner.default(config).start().then(() => process.exit()).catch(error => {
    if (error) {
      console.error(error);
    }

    process.exit(1);
  });
};

exports.default = _default;